searchNodes=[{"doc":"Documentation for Qdrant .","ref":"Qdrant.html","title":"Qdrant","type":"module"},{"doc":"Qdrant.Api.Client is a Tesla-based client for the Qdrant API. The module provides methods for interacting with the Qdrant API server. Example iex&gt; Qdrant.Api.Client . get ( &quot;/collections&quot; ) { :ok , % Tesla.Env { status : 200 , body : %{ &quot;collections&quot; =&gt; [ ] } } } Or as a macro: iex&gt; use Qdrant.Api.Http.Client iex&gt; scope ( &quot;/collections&quot; ) iex&gt; get ( &quot;&quot; ) # The path is relative to the scope path set above (&quot;/collections&quot;) # and not the base url set in the config file. # This is so that you don&#39;t have to repeat the scope path in every request just the relative path. { :ok , % Tesla.Env { status : 200 , body : %{ &quot;collections&quot; =&gt; [ ... ] } } }","ref":"Qdrant.Api.Http.Client.html","title":"Qdrant.Api.Http.Client","type":"module"},{"doc":"Service distributed setup.","ref":"Qdrant.Api.Http.Cluster.html","title":"Qdrant.Api.Http.Cluster","type":"module"},{"doc":"Get information about the current state and composition of the cluster. See more on qdrant Example iex&gt; Qdrant.Api.Http.Cluster . cluster_status ( ) { :ok , % Tesla.Env { status : 200 , body : %{ &quot;result&quot; =&gt; %{ &quot;status&quot; =&gt; &quot;disabled&quot; , } , &quot;status&quot; =&gt; &quot;ok&quot; , &quot;time&quot; =&gt; 0 } } }","ref":"Qdrant.Api.Http.Cluster.html#cluster_status/0","title":"Qdrant.Api.Http.Cluster.cluster_status/0","type":"function"},{"doc":"Get cluster information for a collection. See more on qdrant Parameters collection_name required - string collection name","ref":"Qdrant.Api.Http.Cluster.html#collection_cluster_info/1","title":"Qdrant.Api.Http.Cluster.collection_cluster_info/1","type":"function"},{"doc":"Tries to recover current peer Raft state. [See more on qdrant]( https://qdrant.github.io/qdrant/redoc/index.html#tag/cluster/operation/recover_current_peer Example iex&gt; Qdrant.Api.Http.Cluster . recover_cluster ( ) { :ok , % Tesla.Env { status : 200 , body : %{ &quot;result&quot; =&gt; true , &quot;status&quot; =&gt; &quot;ok&quot; , &quot;time&quot; =&gt; 0 } } }","ref":"Qdrant.Api.Http.Cluster.html#recover_cluster/0","title":"Qdrant.Api.Http.Cluster.recover_cluster/0","type":"function"},{"doc":"Remove peer from the cluster by its id. See more on qdrant Tries to remove peer from the cluster. Will return an error if peer has shards on it. Parameters peer_id required - integer peer id Example iex&gt; Qdrant.Api.Http.Cluster . remove_peer ( 42 ) { :ok , % Tesla.Env { status : 200 , body : %{ &quot;result&quot; =&gt; true , &quot;status&quot; =&gt; &quot;ok&quot; , &quot;time&quot; =&gt; 0 } } }","ref":"Qdrant.Api.Http.Cluster.html#remove_peer/1","title":"Qdrant.Api.Http.Cluster.remove_peer/1","type":"function"},{"doc":"Qdrant API Collections. Collections are searchable collections of points.","ref":"Qdrant.Api.Http.Collections.html","title":"Qdrant.Api.Http.Collections","type":"module"},{"doc":"Get cluster information for a collection See more on qdrant Path parameters collection_name required : Name of the collection to retrieve the cluster info for Example iex&gt; Qdrant . collection_cluster_info ( &quot;collection_name&quot; ) { :ok , %{ &quot;status&quot; =&gt; &quot;ok&quot; , &quot;time&quot; =&gt; 0 , &quot;result&quot; =&gt; %{ &quot;operation_id&quot; =&gt; 42 , status : &quot;acknowledged&quot; } } } } }","ref":"Qdrant.Api.Http.Collections.html#collection_cluster_info/1","title":"Qdrant.Api.Http.Collections.collection_cluster_info/1","type":"function"},{"doc":"Get detailed information about specified existing collection. See more on qdrant Path parameters collection_name required : name of the collection Example iex&gt; Qdrant.Api.Http.Collections . collection_info ( &quot;my_collection&quot; ) { :ok , % Tesla.Env { status : 200 , body : %{ &quot;result&quot; =&gt; %{ &quot;collection_type&quot; =&gt; &quot;Flat&quot; , &quot;name&quot; =&gt; &quot;my_collection&quot; , &quot;points_count&quot; =&gt; 0 , &quot;vectors_count&quot; =&gt; 0 } , &quot;status&quot; =&gt; &quot;ok&quot; , &quot;time&quot; =&gt; 2.043e-6 } } }","ref":"Qdrant.Api.Http.Collections.html#collection_info/1","title":"Qdrant.Api.Http.Collections.collection_info/1","type":"function"},{"doc":"Create new collection with given parameters. See more on qdrant Path parameters name required : Name of the new collection Query parameters timeout optional : Wait for operation commit timeout in seconds. If timeout is reached - request will return with service error. Request body schema vectors required : Vector params separator for single and multiple vector modes. Single mode: %{size: 128, distance: &quot;Cosine&quot;} or multiple mode: %{default: {size: 128, distance: &quot;Cosine&quot;}} shard_number optional : null or positive integer Default: null . Number of shards in collection. Default is 1 for standalone, otherwise equal to the number of nodes Minimum is 1. replication_factor optional : null or positive integer Default: null . Number of shards replicas. Default is 1 Minimum is 1 write_consistency_factor optional : null or positive integer Default: null . Defines how many replicas should apply the operation for us to consider it successful. Increasing this number will make the collection more resilient to inconsistencies, but will also make it fail if not enough replicas are available. Does not have any performance impact. on_disk_payload optional : boolean or null Default: null . If true - point's payload will not be stored in memory. It will be read from the disk every time it is requested. This setting saves RAM by (slightly) increasing the response time. Note: those payload values that are involved in filtering and are indexed - remain in RAM. hnsw_config optional : Custom params for HNSW index. If none - values from service configuration file are used. wal_config optional : Custom params for WAL. If none - values from service configuration file are used. optimizers_config optional : Custom params for Optimizers. If none - values from service configuration file are used. init_from optional : null or string Default: null . Specify other collection to copy data from. quantization_config optional : Default: null . m Quantization parameters. If none - quantization is disabled. Request sample (json) { &quot;vectors&quot;: { &quot;size&quot;: 1, &quot;distance&quot;: &quot;Cosine&quot; }, &quot;shard_number&quot;: null, &quot;replication_factor&quot;: null, &quot;write_consistency_factor&quot;: null, &quot;on_disk_payload&quot;: null, &quot;hnsw_config&quot;: { &quot;m&quot;: 0, &quot;ef_construct&quot;: 0, &quot;full_scan_threshold&quot;: 0, &quot;max_indexing_threads&quot;: null, &quot;on_disk&quot;: null, &quot;payload_m&quot;: null }, &quot;wal_config&quot;: { &quot;wal_capacity_mb&quot;: 0, &quot;wal_segments_ahead&quot;: 0 }, &quot;optimizers_config&quot;: { &quot;deleted_threshold&quot;: 0, &quot;vacuum_min_vector_number&quot;: 0, &quot;default_segment_number&quot;: 0, &quot;max_segment_size&quot;: 0, &quot;memmap_threshold&quot;: 0, &quot;indexing_threshold&quot;: 0, &quot;flush_interval_sec&quot;: 0, &quot;max_optimization_threads&quot;: 0 }, &quot;init_from&quot;: null, &quot;quantization_config&quot;: null }","ref":"Qdrant.Api.Http.Collections.html#create_collection/3","title":"Qdrant.Api.Http.Collections.create_collection/3","type":"function"},{"doc":"Create index for field in collection See more on qdrant Path parameters collection_name required : Name of the collection Query parameters wait optional : If true, wait for changes to actually happen ordering optional : Define ordering guarantees for the operation Request body schema field_name required : Name of the field to index field_schema required : Type of the field to index Example iex&gt; Qdrant . create_field_index ( &quot;collection_name&quot; , %{ field_name : &quot;field_name&quot; , field_schema : &quot;field_schema&quot; } ) { :ok , %{ &quot;status&quot; =&gt; &quot;ok&quot; , &quot;time&quot; =&gt; 0 , &quot;result&quot; =&gt; %{ &quot;operation_id&quot; =&gt; 42 , status : &quot;acknowledged&quot; } } } } }","ref":"Qdrant.Api.Http.Collections.html#create_field_index/4","title":"Qdrant.Api.Http.Collections.create_field_index/4","type":"function"},{"doc":"Drop collection and all associated data See more on qdrant Path parameters collection_name required : Name of the collection to delete Query parameters timeout optional : Wait for operation commit timeout in seconds. If timeout is reached - request will return with service error.","ref":"Qdrant.Api.Http.Collections.html#delete_collection/2","title":"Qdrant.Api.Http.Collections.delete_collection/2","type":"function"},{"doc":"Delete index for field in collection See more on qdrant Path parameters collection_name required : Name of the collection field_name required : Name of the field where to delete the index Query parameters wait optional : If true, wait for changes to actually happen ordering optional : Define ordering guarantees for the operation Example iex&gt; Qdrant . delete_field_index ( &quot;collection_name&quot; , &quot;field_name&quot; ) { :ok , %{ &quot;status&quot; =&gt; &quot;ok&quot; , &quot;time&quot; =&gt; 0 , &quot;result&quot; =&gt; %{ &quot;operation_id&quot; =&gt; 42 , status : &quot;acknowledged&quot; } } } } }","ref":"Qdrant.Api.Http.Collections.html#delete_field_index/4","title":"Qdrant.Api.Http.Collections.delete_field_index/4","type":"function"},{"doc":"Get list of all aliases for a collection See more on qdrant Path parameters collection_name required : Name of the collection to retrieve the aliases for Example iex&gt; Qdrant . get_collection_aliases ( &quot;collection_name&quot; ) { :ok , %{ &quot;status&quot; =&gt; &quot;ok&quot; , &quot;time&quot; =&gt; 0 , &quot;result&quot; =&gt; %{ &quot;operation_id&quot; =&gt; 42 , status : &quot;acknowledged&quot; } } } } }","ref":"Qdrant.Api.Http.Collections.html#get_collection_aliases/1","title":"Qdrant.Api.Http.Collections.get_collection_aliases/1","type":"function"},{"doc":"Get list name of all existing collections. See more on qdrant Example iex&gt; Qdrant.Api.Http.Collections . list_collections ( ) { :ok , % Tesla.Env { status : 200 , body : %{ &quot;result&quot; =&gt; %{ &quot;collections&quot; =&gt; [ ... ] } , &quot;status&quot; =&gt; &quot;ok&quot; , &quot;time&quot; =&gt; 2.043e-6 } } }","ref":"Qdrant.Api.Http.Collections.html#list_collections/0","title":"Qdrant.Api.Http.Collections.list_collections/0","type":"function"},{"doc":"Update aliases of the collections See more on qdrant Query parameters timeout optional : Wait for operation commit timeout in seconds. If timeout is reached - request will return with service error. Request body schema actions required : List of actions to perform. Create_alias or delete_alias or rename_alias. Example iex&gt; Qdrant . update_aliases ( %{ ...&gt; actions : [ ...&gt; %{ create_alias : %{ alias : &quot;alias_name&quot; , collection : &quot;collection_name&quot; } } , ...&gt; %{ delete_alias : %{ alias : &quot;alias_name&quot; } } , ...&gt; %{ rename_alias : %{ alias : &quot;alias_name&quot; , new_alias : &quot;new_alias_name&quot; } } ...&gt; ] ...&gt; } ) { :ok , %{ &quot;result&quot; =&gt; true , &quot;status&quot; =&gt; &quot;ok&quot; , &quot;time&quot; =&gt; 0 } }","ref":"Qdrant.Api.Http.Collections.html#update_aliases/2","title":"Qdrant.Api.Http.Collections.update_aliases/2","type":"function"},{"doc":"Update collection parameters See more on qdrant Path parameters collection_name required : Name of the collection to update Query parameters timeout optional : Wait for operation commit timeout in seconds. If timeout is reached - request will return with service error. Request body schema optimizers_config optional : Custom params for Optimizers. If none - values from service configuration file are used. This operation is blocking, it will only proceed ones all current optimizations are complete params optional : Collection base params. If none - values from service configuration file are used. Request sample (json) { &quot;optimizers_config&quot;: { &quot;deleted_threshold&quot;: 0, &quot;vacuum_min_vector_number&quot;: 0, &quot;default_segment_number&quot;: 0, &quot;max_segment_size&quot;: 0, &quot;memmap_threshold&quot;: 0, &quot;indexing_threshold&quot;: 0, &quot;flush_interval_sec&quot;: 0, &quot;max_optimization_threads&quot;: 0 }, &quot;params&quot;: { &quot;replication_factor&quot;: 1, &quot;write_consistency_factor&quot;: 1 } }","ref":"Qdrant.Api.Http.Collections.html#update_collection/3","title":"Qdrant.Api.Http.Collections.update_collection/3","type":"function"},{"doc":"Update collection cluster setup See more on qdrant Path parameters collection_name required : Name of the collection on which to to apply the cluster update operation Query parameters timeout optional : Wait for operation commit timeout in seconds. If timeout is reached - request will return with service error. Request body schema move_shard or replicate_shard or abort_transfer or drop_replica required : List of actions to perform. Example iex&gt; Qdrant . update_collection_cluster ( &quot;collection_name&quot; , %{ ...&gt; move_shard : %{ ...&gt; shard_id : 1 , ...&gt; to_peer_id : 42 , ...&gt; from_peer_id : 69 ...&gt; } ...&gt; } ) { :ok , %{ &quot;status&quot; =&gt; &quot;ok&quot; , &quot;time&quot; =&gt; 0 , &quot;result&quot; =&gt; %{ &quot;operation_id&quot; =&gt; 42 , status : &quot;acknowledged&quot; } } } } } iex&gt; Qdrant . update_collection_cluster ( &quot;collection_name&quot; , %{ ...&gt; drop_replica : %{ ...&gt; shard_id : 1 , ...&gt; peer_id : 42 ...&gt; } ...&gt; } ) { :ok , %{ &quot;status&quot; =&gt; &quot;ok&quot; , &quot;time&quot; =&gt; 0 , &quot;result&quot; =&gt; %{ &quot;operation_id&quot; =&gt; 42 , status : &quot;acknowledged&quot; } } } } }","ref":"Qdrant.Api.Http.Collections.html#update_collection_cluster/3","title":"Qdrant.Api.Http.Collections.update_collection_cluster/3","type":"function"},{"doc":"Perform insert + updates on points. If point with given ID already exists - it will be overwritten. See more on qdrant Path parameters collection_name required : Name of the collection to update from Query parameters wait optional : If true, wait for changes to actually happen ordering optional : Define ordering guarantees for the operation Request body schema batch required : List of points to insert or update OR points required : Point to insert or update","ref":"Qdrant.Api.Http.Collections.html#upsert_points/4","title":"Qdrant.Api.Http.Collections.upsert_points/4","type":"function"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:alias_actions_list/0","title":"Qdrant.Api.Http.Collections.alias_actions_list/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:body_schema/0","title":"Qdrant.Api.Http.Collections.body_schema/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:cluster_update_body/0","title":"Qdrant.Api.Http.Collections.cluster_update_body/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:create_alias/0","title":"Qdrant.Api.Http.Collections.create_alias/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:delete_alias/0","title":"Qdrant.Api.Http.Collections.delete_alias/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:drop_replica_params/0","title":"Qdrant.Api.Http.Collections.drop_replica_params/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:field_schema/0","title":"Qdrant.Api.Http.Collections.field_schema/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:index_body_type/0","title":"Qdrant.Api.Http.Collections.index_body_type/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:ordering/0","title":"Qdrant.Api.Http.Collections.ordering/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:points_batch/0","title":"Qdrant.Api.Http.Collections.points_batch/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:points_list/0","title":"Qdrant.Api.Http.Collections.points_list/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:rename_alias/0","title":"Qdrant.Api.Http.Collections.rename_alias/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:shadred_operation_params/0","title":"Qdrant.Api.Http.Collections.shadred_operation_params/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:tokenizer_type/0","title":"Qdrant.Api.Http.Collections.tokenizer_type/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:upsert_body/0","title":"Qdrant.Api.Http.Collections.upsert_body/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:vector/0","title":"Qdrant.Api.Http.Collections.vector/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Collections.html#t:vector_params/0","title":"Qdrant.Api.Http.Collections.vector_params/0","type":"type"},{"doc":"","ref":"Qdrant.Api.Http.Request.html","title":"Qdrant.Api.Http.Request","type":"module"},{"doc":"","ref":"Qdrant.Api.Http.Request.CollectionBody.html","title":"Qdrant.Api.Http.Request.CollectionBody","type":"module"},{"doc":"","ref":"Qdrant.Api.Http.Request.CollectionBody.html#t:t/0","title":"Qdrant.Api.Http.Request.CollectionBody.t/0","type":"type"},{"doc":"An Elixir client for the Qdrant vector similarity search engine. This library allows you to interact with the Qdrant API, providing functionality to create collections, insert vectors, search, and delete data.","ref":"readme.html","title":"Qdrant","type":"extras"},{"doc":"It's available in Hex , the package can be installed by adding qdrant to your list of dependencies in mix.exs : def deps do [ { :qdrant , &quot;~&gt; 0.1.0&quot; } ] end","ref":"readme.html#installation","title":"Qdrant - Installation","type":"extras"},{"doc":"config :qdrant , qdrant_url : System . get_env ( &quot;QDRANT_URL&quot; ) || &quot;http://localhost:6333&quot; Documentation can be generated with ExDoc and published on HexDocs . Once published, the docs can be found at https://hexdocs.pm/qdrant . github_changelog_generator -u marinac-dev -p qdrant","ref":"readme.html#config","title":"Qdrant - Config","type":"extras"},{"doc":"","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Full Changelog Implemented enhancements: feat(api-http): Add Collections HTTP module #1 ( marinac-dev ) * This Changelog was automatically generated by github_changelog_generator","ref":"changelog.html#unreleased","title":"Changelog - Unreleased","type":"extras"},{"doc":"MIT License Copyright (c) [year] [fullname] Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"LICENSE","type":"extras"}]